<template>
  <v-card :to="`/projects/${id}`" flat tile class="project-card">
    <v-row no-gutters>
      <v-col>
        <v-img
          :src="photo ? `${window.location.origin}/api/Containers/container-${id}/download/${photo}` : 'https://cdn.vuetifyjs.com/images/parallax/material.jpg'"
          :aspect-ratio="16/8"
        >
          <template v-slot:placeholder>
            <v-row
              class="fill-height ma-0"
              align="center"
              justify="center"
            >
              <v-progress-circular indeterminate color="grey lighten-5"></v-progress-circular>
            </v-row>
          </template>
        </v-img>
      </v-col>
    </v-row>

    <v-card-text>
      <v-row no-gutters class="mb-5">
        <v-col class="d-flex align-end category-description align-center">
          <div class="category-icon-2 mr-2">
            <v-img
              v-if="icon"
              :src="require(`../assets/img/${icon}`)"
              contain
              width="30"
            />
          </div>
          <div class="category-name-2 subtitle-2 font-weight-bold" :style="`color: ${color};`">
            {{category}}
          </div>
        </v-col>
      </v-row>

      <v-row>
        <v-col>
          <div class="headline project-title font-weight-bold">
            {{name}}
          </div>
        </v-col>
      </v-row>
    </v-card-text>

  </v-card>
</template>
<script>
  export default {
    name: 'ProjectShort2',
    computed: {
      window: function() {
        return window;
      }
    },
    props: {
      id: Number,
      name: String,
      category: String,
      photo: String,
      icon: String,
      color: String,
    },
  };
</script>
<style scoped>

  .project-card {
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.3);
  }

  .project-title {
    color: #948585;
  }

</style>
